/*
 * lilJudd
 * Copyright (C) 2024 moonleay
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package net.moonleay.lilJudd.data.api.liljudd

import net.moonleay.lilJudd.data.CredentialManager

object LilJuddApi {
    val CONFIG_BASE = "${CredentialManager.apiDomain}/config/"
    val MATCH_BASE = "${CredentialManager.apiDomain}/match/"
    val TIMEPLANNINGMESSAGES_BASE = "${CredentialManager.apiDomain}/tp_messages/"

    // GET https://liljudd.ink/api/config/<guild_id>/
    // DELETE https://liljudd.ink/api/config/<guild_id>/
    // GET https://liljudd.ink/api/tp_messages/<guild_id>/
    // PUT https://liljudd.ink/api/tp_messages/<guild_id>/
    // POST https://liljudd.ink/api/match/<guild_id>/<channel_id>/
    // PUT https://liljudd.ink/api/match/<guild_id>/<channel_id>/<match_message_id>/
    // GET https://liljudd.ink/api/match/<guild_id>/

}
